MKTEMP(1)

NAZWA
mktemp - tworzy plik lub katalog tymczasowy

SKŁADNIA
mktemp [OPCJA]... [SZABLON]

OPIS

Bezpiecznie tworzy plik lub katalog tymczasowy i wypisuje jego nazwę. SZABLON musi zawierać przynajmniej 3 kolejne znaki X w swej ostatniej części. Jeśli nie podano SZABLONU, używana jest nazwa tmp.XXXXXXXXXX oraz włączana jest opcja --tmpdir. Pliki są tworzone z uprawnieniami u+rw, katalogi u+rwx minus uprawnienia z umask.

-d, --directory
    tworzy katalog zamiast pliku

-u, --dry-run
    niczego nie tworzy, wypisuje jedynie nazwę (ryzykowne)

-q, --quiet
    wyłącza komunikaty diagnostyczne o błędach przy tworzeniu plików lub katalogów

--suffix=PRZYROSTEK
    dodane PRZYROSTEK do SZABLONU. Nie może on zawierać ukośnika. Opcja jest włączana automatycznie, jeśli SZABLON nie kończy się X.

-p KATALOG, --tmpdir[=KATALOG]
    interpretuje SZABLON względem KATALOGU. Jeśli KATALOG nie zostanie podany, używa zmiennej $TMPDIR jeśli jest ustawiona, a w przeciwnym wypadku katalogu /tmp. Jeśli korzysta się z tej opcji, to SZABLON nie może być ścieżką bezwzględną. Inaczej niż przy użyciu opcji -t, SZABLON może zawierać ukośniki, ale mktemp utworzy tylko ostatni, wydzielony nimi, składnik nazwy.

-t  interpretuje SZABLON jako pojedynczy składnik nazwy pliku w odniesieniu do katalogu: $TMPDIR jeśli ta zmienna jest ustawiona, katalogu określonego opcją -p, a jeśli go nie podano - /tmp [przestarzałe]

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez i Jima Meyeringa i Erica Blake.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
mkstemp(3), mkdtemp(3), mktemp(3)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/mktemp>
lub lokalnie, za pomocą info '(coreutils) mktemp invocation'

Spakietowane przez Debiana (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.